## ros-indigo-sr-ronex-examples 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_ronex_examples)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package( catkin REQUIRED COMPONENTS roscpp rospy std_msgs std_srvs sr_ronex_msgs sr_ronex_hardware_interface sr_ronex_utilities pluginlib ros_ethercat_model realtime_tools dynamic_reconfigure controller_interface xacro)

###########
## Build ##
###########

add_definitions(-Wall)

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
# add_library(sr_ronex_examples
#   src/${PROJECT_NAME}/sr_ronex
# )

# catkin_package parameters
# http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# You must invoke catkin_package() before adding any targets (libraries and executables).
# The reason is because catkin_package() will change the location where the targets are built.
catkin_package(
  CATKIN_DEPENDS roscpp rospy std_msgs std_srvs sr_ronex_msgs sr_ronex_utilities dynamic_reconfigure sr_ronex_hardware_interface realtime_tools ros_ethercat_model pluginlib controller_interface xacro
  INCLUDE_DIRS include
  LIBRARIES sr_ronex_simple_controller
)

## Declare a cpp executable
add_executable(sr_ronex_parse_parameter_server src/sr_ronex_parse_parameter_server.cpp)
add_executable(sr_ronex_read_analog_data src/sr_ronex_read_analog_data.cpp)
add_executable(sr_ronex_flash_LED_with_PWM src/sr_ronex_flash_LED_with_PWM.cpp)
add_executable(change_ronex_configuration src/change_ronex_configuration.cpp)
add_library(sr_ronex_simple_controller src/sr_ronex_simple_controller.cpp)

## Add cmake target dependencies of the executable/library
add_dependencies(sr_ronex_read_analog_data ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
add_dependencies(sr_ronex_flash_LED_with_PWM ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_gencfg)
add_dependencies(sr_ronex_simple_controller ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(sr_ronex_parse_parameter_server ${catkin_LIBRARIES})
target_link_libraries(sr_ronex_read_analog_data ${catkin_LIBRARIES})
target_link_libraries(sr_ronex_flash_LED_with_PWM ${catkin_LIBRARIES})
target_link_libraries(change_ronex_configuration ${catkin_LIBRARIES})
target_link_libraries(sr_ronex_simple_controller ${catkin_LIBRARIES})


install(TARGETS sr_ronex_parse_parameter_server sr_ronex_read_analog_data sr_ronex_flash_LED_with_PWM change_ronex_configuration
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/src/*.py")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})


install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY src/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
   FILES_MATCHING PATTERN "*.cpp")

install(DIRECTORY launch/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY config/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

install(DIRECTORY model/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/model)

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-sr-ronex-examples (0.11.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 20 Jul 2015 10:21:40 -0000

ros-indigo-sr-ronex-examples (0.10.0-0trusty) trusty; urgency=high

  * Fix bug in example

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.15-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.14-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 12 Jun 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.13-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.12-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.11-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.10-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 18 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.9-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.8-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.7-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.6-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 25 Mar 2014 22:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.5-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 17 Dec 2013 22:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.4-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 19 Nov 2013 22:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.3-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 24 Sep 2013 21:00:00 -0000

ros-indigo-sr-ronex-examples (0.9.2-0trusty) trusty; urgency=high

  * first public release for Hydro

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 23 Sep 2013 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-ronex-examples
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-dynamic-reconfigure, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-xacro
Homepage: http://www.shadowrobot.com/products/ronex
Standards-Version: 3.9.2

Package: ros-indigo-sr-ronex-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-interface, ros-indigo-dynamic-reconfigure, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-xacro
Description: Package containing examples for the RoNeX boards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-ronex-examples//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
